Package dev.plex.util

# Class PermissionsUtil

java.lang.Object
dev.plex.util.PermissionsUtil

public class PermissionsUtil extends Object

## Constructor Summary

Constructors
Constructor
Description
`PermissionsUtil()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`addPermission(PlexPlayer player, Permission permission)`
`static void`
`addPermission(PlexPlayer player, String permission)`
`static void`
`removePermission(PlexPlayer player, String permission)`
`static void`
`setupPermissions(@NotNull org.bukkit.entity.Player player)`
`static void`
`updatePermission(PlexPlayer player, String permission, boolean newValue)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PermissionsUtil

public PermissionsUtil()

## Method Details

### setupPermissions

public static void setupPermissions(@NotNull @NotNull org.bukkit.entity.Player player)

### addPermission

public static void addPermission(PlexPlayer player, Permission permission)

### addPermission

public static void addPermission(PlexPlayer player, String permission)

### removePermission

public static void removePermission(PlexPlayer player, String permission)

### updatePermission

public static void updatePermission(PlexPlayer player, String permission, boolean newValue)